/*
 * config.h  -- An HP-2000 Timeshared BASIC System tape manipulation program.
 *
 * Copyright (c) 2005, Scott G. Taylor
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * SCOTT G. TAYLOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * Except as contained in this notice, the name of Scott G. Taylor shall not
 * be used in advertising or otherwise to promote the sale, use or other dealings
 * in this Software without prior written authorization from Scott G. Taylor.
 */

#define MEMDEBUG 1

#if defined(__FreeBSD__) || defined (linux) || defined (__NetBSD__)
#include <libgen.h>
#if defined(__FreeBSD__) && __FreeBSD__ < 5
#include <inttypes.h>
#else
#include <stdint.h>
#endif
#endif

#ifdef __FreeBSD__
#define BUFMAX MAXPHYS
#else
#define BUFMAX 32768
#endif

#if defined(sgi) && defined(__SYSTYPE_SVR4__)
#include <libgen.h>
#endif

#if defined(sun) && defined(__svr4__)
#include <libgen.h>
#define powf	pow
#endif

#if defined(CRAY)
#include <libgen.h>
#endif

#ifdef _UNICOS
#include <fp.h>
typedef unsigned char uint8_t;
typedef unsigned short uint16_t;
typedef unsigned int uint32_t;
typedef int int32_t;
#define MAXPATHLEN PATH_MAX
#endif

#ifndef BUFMAX
#define BUFMAX 32768
#endif

#ifdef MEMDEBUG
#define calloc(x,y)	n_malloc((x) * (y),__FILE__,__LINE__)
#define nfree(x)	n_free((x),__FILE__,__LINE__)
#ifndef MYMALLOC
#define free(x)		n_free ((x), __FILE__, __LINE__)
#define malloc(x)	n_malloc ((x), __FILE__, __LINE__)
#endif
#endif

